org.eclipse.emf.cdo.common.revision

## Interface CDORevisionProvider

- All Known Subinterfaces:
    CDOCommonTransaction, CDOCommonView, CDOTransaction, CDOView, CDOWorkspace, CDOWorkspaceBase, CDOWorkspaceBase2, InternalCDOTransaction, InternalCDOView, InternalCDOWorkspace, InternalCDOWorkspaceBase, InternalCommitContext, InternalTransaction, InternalView, IStoreAccessor.CommitContext, ITransaction, IView
  All Known Implementing Classes:
    CDOChangeSetDataRevisionProvider, CDOPushTransaction, CDORevisionAvailabilityInfo, ManagedRevisionProvider

      public interface CDORevisionProvider

  Provides consumers with the `revisions` of `identifiable` CDO objects by selecting a particular one from several possible `branch points`.
  Since:
    3.0
  Author:
    Eike Stepper
  Apiviz
    `CDORevision` - - provides

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDORevision` | `getRevision(CDOID id)`

- - ### Method Detail

    - #### getRevision

          CDORevision getRevision(CDOID id)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html